
#ifndef _PIXMAPS_H_
#define _PIXMAPS_H_

#include <qpixmap.h>

class Pixmap
{

public:
     Pixmap();

     QPixmap getIcon() {return icon;}

     QPixmap getCloseTabIcon() { return closetab; } //generic tab-close btn

     QPixmap getBack() {return back;}
     QPixmap getForward() {return forward;}
     QPixmap getHome() {return home;}

     QPixmap getFolder(){ return folder; }
     QPixmap getUser(){ return user; }
     QPixmap getArchive(){ return archive; }
     QPixmap getVideo(){ return video; }
     QPixmap getImage(){ return image; }
     QPixmap getAudio(){ return audio; }
     QPixmap getUnknown(){ return unknown; }

     QPixmap getNew() {return newhub;}
     QPixmap getClose() {return close;}
     QPixmap getReshare() {return reshare;}
     QPixmap getSearch() {return search;}
     QPixmap getMiniicon() { return miniicon; }
     QPixmap getConnect() {return connect;}
     QPixmap getDisconnect() {return disconnect;}
     QPixmap getConfigure() {return configure;}
     QPixmap getExit() {return exit;}

     QPixmap getNew_ihq() {return ihq_newhub;}
     QPixmap getClose_ihq() {return ihq_close;}
     QPixmap getReshare_ihq() {return ihq_reshare;}
     QPixmap getSearch_ihq() {return ihq_search;}
     QPixmap getMiniicon_ihq() { return ihq_miniicon; }
     QPixmap getConnect_ihq() {return ihq_connect;}
     QPixmap getDisconnect_ihq() {return ihq_disconnect;}
     QPixmap getConfigure_ihq() {return ihq_configure;}
     QPixmap getExit_ihq() {return ihq_exit;}

     QPixmap getMinimode() { return minimode; }
     QPixmap getMinimodeFull() { return minimode_full; }
     QPixmap getMinimode_on() { return minimode_on; }
     QPixmap getMinimode_ul() { return minimode_ul; }
     QPixmap getMinimode_dl() { return minimode_dl; }
     QPixmap getMinimode_alpha() { return minimode_alpha; }

private:
     QPixmap folder;
     QPixmap user;
     QPixmap archive;
     QPixmap video;
     QPixmap image;
     QPixmap audio;
     QPixmap unknown;

     QPixmap back,forward,home;
     QPixmap icon;
     QPixmap closetab; //generic tab-close btn icon

     QPixmap newhub;
     QPixmap close;
     QPixmap reshare;
     QPixmap search;
     QPixmap miniicon;
     QPixmap connect;
     QPixmap disconnect;
     QPixmap configure;
     QPixmap exit;

     QPixmap ihq_newhub;
     QPixmap ihq_close;
     QPixmap ihq_reshare;
     QPixmap ihq_search;
     QPixmap ihq_miniicon;
     QPixmap ihq_connect;
     QPixmap ihq_disconnect;
     QPixmap ihq_configure;
     QPixmap ihq_exit;

     QPixmap minimode;
     QPixmap minimode_full;
     QPixmap minimode_on;
     QPixmap minimode_ul;
     QPixmap minimode_dl;
     QPixmap minimode_alpha;
};

#endif
